@charset "UTF-8";

/**
Copyright 2019
**/

/*
Top Menu
*/

/* @media (max-width: 767.98px) { */
@media (max-width: 770px) {
    .topmenu {
        position: fixed;
        top: 50px;
        left: 0px;
        z-index: 1010;
        background-color: rgb(255, 255, 255);
        width: 100%;
        height: 100%;
        overflow-y: auto;
    }

    .topmenu .dropdown-menu {
        box-shadow: unset !important;
    }

    .topmenu .nav-link {
        padding: .5rem .8rem !important;
    }
}

.topmenu .nav-link {
    display: block;
    font-weight: 500;
    color: #111 !important;
    padding: 1rem .8rem;
}

.topmenu .nav-link .feather {
    margin-right: 4px;
    color: #727272;
}

.topmenu .nav-link.active {
    color: #007bff;
}

.topmenu .nav-link:hover .feather,
.topmenu .nav-link.active .feather {
    color: inherit;
}

.dropdown-toggle::after {
    /* width: 1.25em; */
    width: auto;
    line-height: 0;
    content: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280,0,0,.5%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='1' d='M5 14l6-6-6-6'/%3e%3c/svg%3e");
    transition: all .35s ease-in-out;
    transform-origin: .5em 50%;
    position: relative;
    right: 0;
    transform: rotate(180deg);
    margin: auto !important;
    border: none;
    vertical-align: middle;
}

.topmenu .dropdown-toggle[aria-expanded="true"] {
    color: rgba(255, 255, 255, 1) !important;
    background: rgba(129, 92, 211, .9);
}

.dropdown-toggle[aria-expanded="true"]::after {
    transform: rotate(90deg);
}

.dropdown-menu a:hover,
.dropdown-menu a:focus {
    color: #815CD3 !important;
}

header .dropdown-toggle::after {
    display: none;
}

.dropdown-menu {
    box-shadow: 0 1rem 3rem rgba(0,0,0,.175);
}


/*
Navbar
*/

.navbar-dark .navbar-toggler,
.navbar-dark .navbar-toggler:focus {
    border-width: 0px !important;
    border-color: unset !important;
    box-shadow: unset !important;
}

.custom-nav-toggle {
    color: #FFF;
    padding: .75rem 1rem;
}

.navbar-brand {
    padding-top: .75rem;
    padding-bottom: .75rem;
    font-size: 1rem;
    /* background-color: rgba(0, 0, 0, .25); */
    /* box-shadow: inset -1px 0 0 rgba(0, 0, 0, .25); */
}

.navbar .navbar-toggler {
    /* top: .25rem;
    right: 1rem; */
    top: 0;
    left: 0;
    width: 77px;
    height: 48px;
}

.navbar .form-control {
    padding: .75rem 1rem;
    border-width: 0;
    border-radius: 0;
}

.form-control-dark {
    color: #fff;
    background-color: rgba(255, 255, 255, .1);
    border-color: rgba(255, 255, 255, .1);
}

.form-control-dark:focus {
    border-color: transparent;
    box-shadow: 0 0 0 3px rgba(255, 255, 255, .25);
}

header .profile > a {
    display: inline-block;
    height: 32px;
    background: url('../../assets/img/avatar.svg') no-repeat center center;
    background-size: contain;
    border-radius: 1.5rem;
}

figure#qrcode img {
    width: 100% !important;
    height: 100% !important;
}

/**
Common
**/

.dropdown-item {
    font-weight: 600 !important;
}

.dropdown-item:focus, .dropdown-item:hover {
    color: #815CD3;
    text-decoration: none;
    background-color: #f8f9fa;
}

.form-signin::before {
    content: '';
    width: 100%;
    height: 100%;
    position: fixed;
    background: url('../../assets/img/bg.svg') no-repeat bottom center #FFF;
    top: 0;
    left: 0;
    z-index: -1;
    background-size: 80%;
}

@media (max-width: 770px) {
    .form-signin::before {
        background-size: 100%;
    }
}

.form-signin {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;
}

.form-signin .checkbox {
    font-weight: 400;
}

.form-signin .form-control {
    border-radius: unset;
    border-top-width: 0px;
    border-left-width: 0px;
    border-right-width: 0px;
    border-bottom-width: 2px;
    transition: all .2s ease-in-out;
    -moz-transition: all .2s ease-in-out;
    -webkit-transition: all .2s ease-in-out;
    -ms-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
}

.form-signin .form-control:focus {
    border-bottom-color: #815CD3;
}

.st-icon {
    padding: .5rem;
    border-radius: 50%;
}

.st-icon.primary {
    color: #51459D;
    background-color: rgba(129,92,211,.2);
}

.st-icon.danger {
    color: #F92727;
    background-color: rgba(252,61,64,.2);
}

.st-icon.success {
    color: #279256;
    background-color: rgba(16,199,149,.2);
}

.st-icon.info {
    color: #BA5710;
    background-color: rgba(193,102,17,.2);
}

/*
Dashboard
*/

.member-stats > dd .card-body {
    padding: 1.5rem;
}

#annlist {
    height: 222px;
    max-height: 222px;
}